Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.

Query Parameters

after
string

Returns the elements in the list that come after the specified cursor.

before
string

Returns the elements in the list that come before the specified cursor.

first
integer

Returns the first n elements from the list.

Example:

42

last
integer

Returns the last n elements from the list.

Example:

42

user_id
string

The unique identifier of the user to filter lesson interactions for.

Example:

"user_xxxxxxxxxxxxx"

lesson_id
string

The unique identifier of the lesson to filter interactions for.

Example:

"lesn_xxxxxxxxxxxxx"

course_id
string

The unique identifier of the course to filter interactions for.

Example:

"cors_xxxxxxxxxxxxx"

completed
boolean

Whether to filter for completed or in-progress lesson interactions.

Response

A successful response

The connection type for LessonInteraction.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.